You can change the text content and styles of the ProgressButton during progress by changing the text content and the cssClass
property at the begin
and end
events.
// Initialize ProgressButton component
var uploadBtn = new ej.splitbuttons.ProgressButton({
content: 'Upload',
cssClass: 'e-hide-spinner',
enableProgress: true,
duration: 4000,
begin: function() {
uploadBtn.content = 'Uploading...';
uploadBtn.cssClass = 'e-hide-spinner e-info';
uploadBtn.dataBind();
},
end: function() {
uploadBtn.content = 'Success';
uploadBtn.cssClass = 'e-hide-spinner e-success';
uploadBtn.dataBind();
setTimeout(function() {
uploadBtn.content = 'Upload';
uploadBtn.cssClass = 'e-hide-spinner';
uploadBtn.dataBind();
}, 500)
}});
// Render initialized ProgressButton.
uploadBtn.appendTo('#progressbtn');
<!DOCTYPE html><html lang="en"><head>
<title>EJ2 ProgressButton</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="This demo for Essential JS2 Progress button has progress indicator and spinner. It supports texts, icons, styles, sizes, positions, and its customization.">
<meta name="author" content="Syncfusion">
<link href="//cdn.syncfusion.com/ej2/20.1.55/ej2-base/styles/material.css" rel="stylesheet">
<link href="//cdn.syncfusion.com/ej2/20.1.55/ej2-buttons/styles/material.css" rel="stylesheet">
<link href="//cdn.syncfusion.com/ej2/20.1.55/ej2-popups/styles/material.css" rel="stylesheet">
<link href="//cdn.syncfusion.com/ej2/20.1.55/ej2-splitbuttons/styles/material.css" rel="stylesheet">
<link href="styles.css" rel="stylesheet">
<script src="https://cdn.syncfusion.com/ej2/20.1.55/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
<div id="container">
<button id="progressbtn"></button>
</div>
<script>
var ele = document.getElementById('container');
if(ele) {
ele.style.visibility = "visible";
}
</script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Syncfusion AI Assistant

How can I help you?

Change the text content and styles of the ProgressButton during progress in React Progress button component

2 Mar 20263 minutes to read

Update the ProgressButton’s text content and visual appearance while progress is active by modifying the button’s content and cssClass property within the begin and end event handlers. This technique allows you to provide real-time visual feedback and status updates to users during long-running operations.

import { ProgressButtonComponent } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { useState } from "react";
function App() {
    const [state, setState] = useState({
        content: 'Upload',
        cssClass: 'e-hide-spinner'
    });
    function begin() {
        setState({ content: 'Uploading...', cssClass: 'e-hide-spinner e-info' });
    }
    function end() {
        setState({ content: 'Success', cssClass: 'e-hide-spinner e-success' });
        setTimeout(() => {
            setState({ content: 'Upload', cssClass: 'e-hide-spinner' });
        }, 500);
    }
    return (<ProgressButtonComponent content={state.content} enableProgress cssClass={state.cssClass} duration={4000} begin={begin} end={end}/>);
}
export default App;
ReactDom.render(<App />, document.getElementById('progress-button'));
import { ProgressButtonComponent } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { useState } from "react";

function App() {
  const [state, setState] = useState({
     content: 'Upload',
     cssClass: 'e-hide-spinner'
  });
  function begin(): void {
      setState({ content: 'Uploading...', cssClass: 'e-hide-spinner e-info' });
  }

  function end(): void {
      setState({ content: 'Success', cssClass: 'e-hide-spinner e-success' });
      setTimeout(() => {
          setState({ content: 'Upload', cssClass: 'e-hide-spinner' });
      }, 500)
  }

  return (
    <ProgressButtonComponent content={state.content} enableProgress cssClass={state.cssClass} duration={4000} begin={begin} end={end}/>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('progress-button'));

Syncfusion AI Assistant

How can I help you?

Change the text content and styles of the progressbutton during progress in Angular Progress button component

27 Apr 20242 minutes to read

You can change the text content and styles of the ProgressButton during progress by changing the text content and the cssClass property at the begin and end events.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ProgressButtonModule } from '@syncfusion/ej2-angular-splitbuttons'



import { Component } from '@angular/core';

@Component({
imports: [
        
        ProgressButtonModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
                <!-- To render progress button. -->
               <button ejs-progressbutton  [content]='content' [cssClass]='cssClass' [enableProgress]='true' [duration]='4000' (begin)='begin()' (end)='end()'></button></div>`
})

export class AppComponent {
    public content: string = 'Upload';
    public cssClass: string = 'e-hide-spinner';

    public begin(): void {
        this.content = 'Uploading...';
        this.cssClass = 'e-hide-spinner e-info';
    }
    public end(): void {
        this.content = 'Success';
        this.cssClass = 'e-hide-spinner e-success';
        setTimeout(() => {
            this.content = 'Upload';
            this.cssClass = 'e-hide-spinner';
        }, 500)
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Syncfusion AI Assistant

How can I help you?

Change the text content and styles of the progressbutton during progress in Vue Progress button component

30 May 20243 minutes to read

You can change the text content and styles of the ProgressButton during progress by changing the text content and the cssClass property at the begin and end events.

<template>
  <ejs-progressbutton ref="progressbutton" :content="content" duration=4000 :enableProgress="true" :cssClass="cssClass"
    :begin="begin" :end="end"></ejs-progressbutton>
</template>

<script setup>

import { ProgressButtonComponent as EjsProgressbutton } from "@syncfusion/ej2-vue-splitbuttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

const begin = function (args) {
  this.$refs.progressbutton.content = 'Uploading...';
  this.$refs.progressbutton.cssClass = 'e-hide-spinner e-info';
}
const end = function (args) {
  this.$refs.progressbutton.content = 'Success...';
  this.$refs.progressbutton.cssClass = 'e-hide-spinner e-success';
  setTimeout(() => {
    this.$refs.progressbutton.content = 'Upload';
    this.$refs.progressbutton.cssClass = 'e-hide-spinner';
  }, 500)
}
const content = 'Upload';
const cssClass = 'e-hide-spinner';
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
</style>
<template>
 <ejs-progressbutton ref="progressbutton" :content="content"  duration=4000 :enableProgress="true" :cssClass="cssClass" :begin ="begin" :end="end"></ejs-progressbutton>
</template>

<script>

import { ProgressButtonComponent } from "@syncfusion/ej2-vue-splitbuttons";
import { enableRipple} from '@syncfusion/ej2-base';
enableRipple(true);
export default {
name: "App",
components: {
"ejs-progressbutton":ProgressButtonComponent
},
methods: {
    begin: function(args) {
        this.$refs.progressbutton.content = 'Uploading...';
        this.$refs.progressbutton.cssClass = 'e-hide-spinner e-info';
    },
    end: function(args) {
        this.$refs.progressbutton.content = 'Success...';
        this.$refs.progressbutton.cssClass = 'e-hide-spinner e-success';
       setTimeout(()=>{
             this.$refs.progressbutton.content = 'Upload';
             this.$refs.progressbutton.cssClass = 'e-hide-spinner';
        }, 500)
   }
},
    data () {
        return {
           content: "Upload",
           cssClass:   "e-hide-spinner"
    };
  }
}
</script>

<style>
  @import '../node_modules/@syncfusion/ej2-base/styles/material.css';
  @import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
  @import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
  @import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
</style>